# Update a webhook `PATCH /v1/webhooks/{webhook}` **In this build:** Real. **Scope:** `webhook.write` **CLI:** `harebox webhook set` ## Request: `UpdateWebhookRequest` | Field | Type | Notes | |---|---|---| | `name` | `string` | | | `url` | `string` | | | `events` | `array` | | | `enabled` | `boolean` | | ## Response: 200 `Webhook` | Field | Type | Notes | |---|---|---| | `id` (required) | `string` | | | `name` | `string` | | | `url` (required) | `string` | | | `events` (required) | `array` | | | `enabled` (required) | `boolean` | | | `failure_streak` | `integer` | | Errors follow [one format](../errors.html).